# Very minimal redocly-cli configuration for last chance checks
lint:
  extends:
    - minimal
  rules:
    spec: error
    no-unresolved-refs: error

    info-description: off
    info-contact: off
    info-license: off
    info-license-url: off
    tag-description: off
    tags-alphabetical: off
    parameter-description: off
    no-path-trailing-slash: off
    no-identical-paths: off
    no-ambiguous-paths: off
    path-declaration-must-exist: off
    path-not-include-query: off
    path-parameters-defined: off
    operation-description: off
    operation-2xx-response: off
    operation-operationId: off
    operation-summary: off
    operation-operationId-unique: off
    operation-parameters-unique: off
    operation-tag-defined: off
    operation-security-defined: off
    operation-operationId-url-safe: off
    operation-singular-tag: off
    no-enum-type-mismatch: off
    boolean-parameter-prefixes: off
    paths-kebab-case: off

    no-invalid-media-type-examples: off
    no-server-example.com: off
    no-server-trailing-slash: off
    no-empty-servers: off
    no-example-value-and-externalValue: off
    no-unused-components: off
    no-undefined-server-variable: off
